Skip to Content
inclamoDocs

Get a portal details

GET
/api/v1/accounts/{account_id}/portals/{portal_slug}

Get the details of a portal in the account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

portal_slug*string

The slug of the portal. The numeric portal ID is not accepted.

Response Body

Success

application/json
  1. response
id?integer

The ID of the portal

archived?boolean

Whether the portal is archived

color?string

The color code for the portal

config?

Configuration settings for the portal

custom_domain?string

Custom domain for the portal

header_text?string

The header text for the portal

homepage_link?string

Homepage link for the portal

name?string

Name of the portal

slug?string

URL slug for the portal

page_title?string

Page title for the portal

account_id?integer

ID of the account the portal belongs to

inbox?
logo?
meta?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals/handbook'
Example Response
{  "id": 123,  "archived": false,  "color": "#1F93FF",  "config": {    "allowed_locales": [      {        "code": "en",        "articles_count": 32,        "categories_count": 9      }    ]  },  "custom_domain": "chatwoot.help",  "header_text": "Handbook",  "homepage_link": "https://www.chatwoot.com",  "name": "Handbook",  "slug": "handbook",  "page_title": "Handbook",  "account_id": 123,  "inbox": {    "id": 123,    "name": "Chatwoot",    "website_url": "chatwoot.com",    "channel_type": "Channel::WebWidget",    "avatar_url": "https://example.com/avatar.png",    "widget_color": "#1F93FF",    "website_token": "4cWzuf9i9jxN9tbnv8K9STKU",    "enable_auto_assignment": true,    "web_widget_script": "<script>...</script>",    "welcome_title": "Hi there ! 🙌🏼",    "welcome_tagline": "We make it simple to connect with us.",    "greeting_enabled": true,    "greeting_message": "Hey there 👋, Thank you for reaching out to us.",    "channel_id": 123,    "working_hours_enabled": true,    "enable_email_collect": true,    "csat_survey_enabled": true,    "timezone": "America/Los_Angeles",    "business_name": "Chatwoot",    "hmac_mandatory": true  },  "logo": {    "id": 123,    "portal_id": 123,    "file_type": "image/png",    "account_id": 123,    "file_url": "https://example.com/logo.png",    "blob_id": 123,    "filename": "square.png"  },  "meta": {    "all_articles_count": 32,    "categories_count": 9,    "default_locale": "en"  }}